/*
Most if not all homepage css comes here aside from the fundamentals in main.css
im so fucking rusty oml.
*/
body{
  text-shadow: 0.1em 0 black, 0 0.1em black, -0.1em 0 black, 0 -0.1em black, -0.1em -0.1em black, -0.1em 0.1em black, 0.1em -0.1em black, 0.1em 0.1em black;
}
#navBar {
  display: flex;
  justify-content: space-around;
  background-image: url("../assets/MushWallGreens.jpg");
  background-repeat: repeat;
  max-width: 50%;
  width: 1000px;
  align-items: stretch; 
}

#navBar a {
  text-decoration: none;
  color: var(--primary-font-color);
  flex: 1;
  text-align: center;
  padding: 15px 0;
  transition: background 0.3s;
  background-color: rgba(0, 0, 0, 0.7); 

}

#navBar a:hover {
  background-color: rgba(0, 0, 0, 0);
  font-weight: bold;
  box-shadow: inset 0 0 10px rgba(255,255,255,0.2);
}
#navBar a.active {
  background-color: rgba(0, 0, 0, 0);
  font-weight: bold;
  box-shadow: inset 0 0 10px rgba(255,255,255,0.2);
}


p {
  font-size: large;
  letter-spacing: 3px;
}

.contentDiv {
  background-image: url("../assets/MushWallGreens.jpg");
  background-repeat: repeat;
  display: flex;
  flex-wrap: wrap;
  max-width: 50%;
	width: 1000px;
	height: 700px;
  padding: 2em;
  padding-left: 4em;
  padding-right: 4em;
  border: none;
  border-radius: 0px;
}

.textDiv {
	display: none;
	background: rgba(0, 0, 0, 0.7);
	color: var(--primary-font-color);
	padding: 1em;
	border: none;
	width: 100%;
  height: 100%;
  overflow-y: scroll;

}
.textDiv:target {
  display: flex;
  flex-direction: column;
  text-align: center;
}
.imgLibrary {
  background: none;
  border: none;
}
.imgLibrary img {
  max-width: 200px;
  max-height: 300px;
  border: solid;
  border-color: var(--primary-border-color);
  border-radius: 25px;
  border-width: 3px;
  margin: 2px;
}

/* ACTIVE TAB BASED ON URL */
#home:target ~ #navBar a[href="#home"],
#about:target ~ #navBar a[href="#about"],
#blog:target ~ #navBar a[href="#blog"],
#chat:target ~ #navBar a[href="#chat"],
#qbook:target ~ #navBar a[href="#qbook"],
#links:target ~ #navBar a[href="#links"],
#issues:target ~ #navBar a[href="#issues"] {
  background-color: rgba(0, 0, 0, 0);
  font-weight: bold;
  box-shadow: inset 0 0 10px rgba(255,255,255,0.2);
}